Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.servlet
Class GzipFilter.GzipStream

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.mortbay.servlet.GzipFilter.GzipStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Direct Known Subclasses:
  IncludableGzipFilter.IncludableGzipStream

Enclosing class:
  GzipFilter

    public static class GzipFilter.GzipStream

extends javax.servlet.ServletOutputStream

Field Summary
`protected ByteArrayOutputStream2` | `_bOut`
`protected int` | `_bufferSize`
`protected boolean` | `_closed`
`protected long` | `_contentLength`
`protected java.util.zip.GZIPOutputStream` | `_gzOut`
`protected int` | `_minGzipSize`
`protected java.io.OutputStream` | `_out`
`protected javax.servlet.http.HttpServletRequest` | `_request`
`protected javax.servlet.http.HttpServletResponse` | `_response`

Constructor Summary
`GzipFilter.GzipStream(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, long contentLength, int bufferSize, int minGzipSize)`

Method Summary
`void` | `close()`
`void` | `doGzip()`
`void` | `doNotGzip()`
`void` | `finish()`
`void` | `flush()`
`void` | `resetBuffer()`
`protected boolean` | `setContentEncodingGzip()`
`void` | `setContentLength(long length)`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _request

    protected javax.servlet.http.HttpServletRequest _request

### _response

    protected javax.servlet.http.HttpServletResponse _response

### _out

    protected java.io.OutputStream _out

### _bOut

    protected ByteArrayOutputStream2 _bOut

### _gzOut

    protected java.util.zip.GZIPOutputStream _gzOut

### _closed

    protected boolean _closed

### _bufferSize

    protected int _bufferSize

### _minGzipSize

    protected int _minGzipSize

### _contentLength

    protected long _contentLength

Constructor Detail

### GzipFilter.GzipStream

    public GzipFilter.GzipStream(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response,
                                 long contentLength,
                                 int bufferSize,
                                 int minGzipSize)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### resetBuffer

    public void resetBuffer()

### setContentLength

    public void setContentLength(long length)

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### finish

    public void finish()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### setContentEncodingGzip

    protected boolean setContentEncodingGzip()

### doGzip

    public void doGzip()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### doNotGzip

    public void doNotGzip()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.